package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 班级数据源返回
 * @Author: CaoZixuan
 * @Date: 2021-08-30
 */
public class ClazzDatasourceResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "班级id")
    private Long id;

    @ApiModelProperty(value = "班级名称")
    private String name;

    @ApiModelProperty(value = "班级编号")
    private String code;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
